Envia uma mensagem para o historico do cliente, criando o cliente e oportunidade caso ainda nao existam.
curl --request POST \
--url https://api.example.com/api/services/app/Crm/EnviarMensagem \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"phoneNumber": "<string>",
"type": 123,
"content": "<string>",
"name": "<string>",
"file": "<string>",
"source": 123,
"isBeingAssistedByAI": true,
"subsidiaryCode": "<string>"
}
'import requests
url = "https://api.example.com/api/services/app/Crm/EnviarMensagem"
payload = {
"phoneNumber": "<string>",
"type": 123,
"content": "<string>",
"name": "<string>",
"file": "<string>",
"source": 123,
"isBeingAssistedByAI": True,
"subsidiaryCode": "<string>"
}
headers = {"Content-Type": "application/json-patch+json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
phoneNumber: '<string>',
type: 123,
content: '<string>',
name: '<string>',
file: '<string>',
source: 123,
isBeingAssistedByAI: true,
subsidiaryCode: '<string>'
})
};
fetch('https://api.example.com/api/services/app/Crm/EnviarMensagem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
123Chat
Enviar mensagem
POST
/
api
/
services
/
app
/
Crm
/
EnviarMensagem
Envia uma mensagem para o historico do cliente, criando o cliente e oportunidade caso ainda nao existam.
123Grava uma mensagem no histórico do cliente. Se o cliente e a oportunidade não existirem, são criados automaticamente. Retorna o status da oportunidade. Tipo: 1 Text, 2 Audio, 3 File, 4 Image. Origem: 1 Customer, 2 AI, 3 User, 4 System.
Autentique-se antes (Autenticação). Os campos abaixo são o conteúdo de
result do envelope da API.curl -X POST "https://gateway.hubcred.com.br/external/v1/api/services/app/Crm/EnviarMensagem" \n -H "Authorization: Bearer SEU_TOKEN" -H "Content-Type: application/json" \n -d '{ "type": 1, "content": "Olá!", "name": "Maria de Tal", "phoneNumber": "11999998888", "source": 1, "isBeingAssistedByAI": true, "subsidiaryCode": "" }'
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Dados da mensagem e informacoes do cliente
Mensagem para o historico do cliente, criando cliente e oportunidade se nao existirem.
Response
OK
The response is of type integer<int32>.